Bug 104646 - dlopen libpcre on demand instead of directly linking to it
dlopen libpcre on demand instead of directly linking to it
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: grep (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-18 09:14 EDT by Tim Waugh
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 09:32:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
grep-2.5.1-pcre.patch (3.15 KB, patch)
2004-11-08 09:32 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2003-09-18 09:14:48 EDT
Description of problem:
Jakub suggested that grep load time might be optimised by only loading the
libpcre library when it is needed (which is rare).
Comment 1 Tim Waugh 2004-11-08 09:32:01 EST
Created attachment 106280 [details]
grep-2.5.1-pcre.patch

I tried this patch, but it gave no good results.

Here ./grep is without the patch and ./dgrep is with it:

$ (export LC_CTYPE=C; time for a in $(seq 1 10000); do ./grep foo grep.spec;
done)

real	1m22.156s
user	0m29.446s
sys	0m31.400s
You have new mail in /var/spool/mail/twaugh
$ (export LC_CTYPE=C; time for a in $(seq 1 10000); do ./dgrep foo grep.spec;
done)

real	1m1.958s
user	0m30.009s
sys	0m31.504s

Note You need to log in before you can comment on or make changes to this bug.